Merton76Process Class Reference
Stochastic processes

Merton-76 jump-diffusion process. More...

`#include <ql/processes/merton76process.hpp>`

Inheritance diagram for Merton76Process:
[legend]

## Public Member Functions

Merton76Process (const Handle< Quote > &stateVariable, const Handle< YieldTermStructure > &dividendTS, const Handle< YieldTermStructure > &riskFreeTS, const Handle< BlackVolTermStructure > &blackVolTS, const Handle< Quote > &jumpInt, const Handle< Quote > &logJMean, const Handle< Quote > &logJVol, const boost::shared_ptr< discretization > &d=boost::shared_ptr< discretization >(new EulerDiscretization))

Time | time (const Date &) const
StochasticProcess1D interface
Real | x0 () const
| returns the initial value of the state variable
Real | drift (Time, Real) const
| returns the drift part of the equation, i.e. \( \mu(t, x_t) \)
Real | diffusion (Time, Real) const
| returns the diffusion part of the equation, i.e. \( \sigma(t, x_t) \)
Real | apply (Real, Real) const
Inspectors
const Handle< Quote > & | stateVariable () const
const Handle< YieldTermStructure > & | dividendYield () const
const Handle< YieldTermStructure > & | riskFreeRate () const
const Handle< BlackVolTermStructure > & | blackVolatility () const
const Handle< Quote > & | jumpIntensity () const
const Handle< Quote > & | logMeanJump () const
const Handle< Quote > & | logJumpVolatility () const
Public Member Functions inherited from StochasticProcess1D
virtual Real | expectation (Time t0, Real x0, Time dt) const
virtual Real | stdDeviation (Time t0, Real x0, Time dt) const
virtual Real | variance (Time t0, Real x0, Time dt) const
virtual Real | evolve (Time t0, Real x0, Time dt, Real dw) const
Public Member Functions inherited from StochasticProcess
virtual Size | factors () const
| returns the number of independent factors of the process
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Additional Inherited Members

Protected Member Functions inherited from StochasticProcess1D
| StochasticProcess1D (const boost::shared_ptr< discretization > &)
Protected Member Functions inherited from StochasticProcess
| StochasticProcess (const boost::shared_ptr< discretization > &)
Protected Attributes inherited from StochasticProcess1D
boost::shared_ptr< discretization > | discretization_
Protected Attributes inherited from StochasticProcess
boost::shared_ptr< discretization > | discretization_

## Detailed Description

Merton-76 jump-diffusion process.

## Member Function Documentation

Real apply | ( | Real | x0,
|  | Real | dx
| ) |  | const

virtual

applies a change to the asset value. By default, it returns \( x + \Delta x \).

Reimplemented from StochasticProcess1D.

Time time | ( | const Date & |  | ) | const

virtual

returns the time value corresponding to the given date in the reference system of the stochastic process.

Note
  As a number of processes might not need this functionality, a default implementation is given which raises an exception.

Reimplemented from StochasticProcess.